跳转到主要内容
POST
Get Working Days

请求规范

  • 方法与路径: POST /apis/v1/api-ninjas/get-working-days
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/api-ninjas/get-working-days
  • Runtime 事实版本: 80f6d0ab09ca1b2bfaa51bc30934eca7d1f0ea7e38c9d075b9100f098998c5d9
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.00089 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.00089
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
country
string
必填

Country code (2-letter ISO 3166-1 alpha-2 code, e.g., 'US' for United States, 'GB' for United Kingdom).

Required string length: 2
示例:

"US"

"GB"

"DE"

"FR"

"JP"

year
integer

Calendar year between 1980 and 2050 (inclusive). Defaults to current year if not specified.

必填范围: 1980 <= x <= 2050
示例:

2024

2025

2026

month
integer

Month number (1-12). If specified, returns working days for that specific month only.

必填范围: 1 <= x <= 12
示例:

1

6

12

weekend
enum<string>[]

Weekend days. Each item must be mon, tue, wed, thu, fri, sat, or sun. Overrides the country's default weekend.

Minimum array length: 1
可用选项:
mon,
tue,
wed,
thu,
fri,
sat,
sun
示例:
public_holidays
boolean

Whether to include public holidays as non-working days. Defaults to true if not specified.

响应

Tool result data

working_days
string[]
必填
non_working_days
object[]
必填
num_working_days
integer
必填
num_non_working_days
integer
必填